<template>
  <div class="place-ad">
    <div style="padding-bottom: 0" class="container">
      <div style="margin-bottom: 16px" class="place-ad-head">
        <img @click="$router.go(-1)" src="../assets/images/icons/back.svg" alt="">
        <p class="title">Подать объявление</p>
      </div>
    </div>
    <div v-if="selectedFilter !== 3" class="home-filter-slide">
      <div
        v-for="(slide, i) in typeFilter.el"
        :key="i"
        :class="{'active': typeFilter.active === slide.name}"
        @click="typeFilter.active = slide.name"
        class="slide"
      >{{slide.name}}</div>
    </div>
    <div style="padding-top: 10px; padding-bottom: 5px" class="container">
      <div class="filter-category-wrap">
        <div
          v-for="(el, i) in filtersCategory"
          :key="'filtersCategory'+i"
          class="filter-category"
          :class="{'filter-category-active':selectedFilter === el.id}"
          @click="selectedFilter = el.id"
        >
          {{el.name}}
        </div>
      </div>
    </div>
    <div v-if="selectedFilter !== 3"  class="home-filter-slide">
      <div
        v-for="(slide, i) in slideFilter.el"
        :key="i"
        :class="{'active': slideFilter.active === slide.name}"
        @click="slideFilter.active = slide.name"
        class="slide"
      >{{slide.name}}</div>
    </div>
    <div v-else class="home-filter-slide">
      <div
        v-for="(slide, i) in slideFilterType.el"
        :key="i"
        :class="{'active': slideFilterType.active === slide.name}"
        @click="slideFilterType.active = slide.name, selectedTypeFilter = slide.id"
        class="slide"
      >{{slide.name}}</div>
    </div>
    <div class="container">
      <p v-if="!selectedFilter" class="subtitle">У вас ничего не выбрано</p>
      <div v-if="selectedFilter === 1">
        <Input input name="Укажите ссылку (логин) аккаунта" placeholder="https://instargam.com/do.svyazy"/>
        <Input input name="Укажите название аккаунта" subtitle="максимум 30 символов" placeholder="До связи"/>
        <div class="title-range">Аудитория</div>
        <div v-if="1==='пока скрыть'" class="range-wrap">
          <div class="range-title">
            <div class="blue">Мужская</div>
            <div class="blue">Женская</div>
          </div>
          <div @mouseup="consoles" class="range-input">
            <span></span>
            <span></span>
          </div>
          <div class="range-percents">
            <div class="subtitle">20%</div>
            <div class="subtitle">80%</div>
          </div>
        </div>
        <div class="range-wrap">
          <div class="range-title">
            <div class="blue">Мужская</div>
            <div class="blue">Женская</div>
          </div>
          <input
            v-model="selectedRangePercent"
            :max="100"
            :min="0"
            style="width: 100%"
            type="range">
          <div class="range-percents">
            <div class="subtitle">{{selectedRangePercent}}%</div>
            <div class="subtitle">{{maleRangePercent}}%</div>
          </div>
        </div>
        <Input input name="Количество подписчиков" placeholder="1 571 864"/>
        <Input textarea name="Описание" subtitle="максимум 500 символов" placeholder="Напишите сюда что-нибудь интересное…"/>
        <Input input rubles name="Цена аккаунта" placeholder="3 143 728"/>
        <Input input rubles-month name="Доход" placeholder="300 000"/>
        <Input :key="39150438" select :select-options="['Мемы','Не Мемы',]" name="Тематика" checked="Мемы"/>
        <Input :key="391324438" select :select-options="['Нет','Да',]" name="Родная почта" checked="Нет"/>
        <Input :key="1151230438" select :select-options="['Россия','Украина',]" name="Страна" checked="Россия"/>
        <div class="title-range">Превью объявления</div>
        <Button style="margin-bottom: 40px" upload text="Загрузить"/>
        <Button text="Разместить объявление" arrow/>
      </div>
      <div v-if="selectedFilter === 2">
        <Input input name="Укажите ссылку (логин) аккаунта" placeholder="https://instargam.com/do.svyazy"/>
        <Input input name="Укажите название аккаунта" subtitle="максимум 30 символов" placeholder="До связи"/>
        <div class="title-range">Аудитория</div>
        <div v-if="1==='пока скрыть'" class="range-wrap">
          <div class="range-title">
            <div class="blue">Мужская</div>
            <div class="blue">Женская</div>
          </div>
          <div class="range-input">
            <span></span>
            <span></span>
          </div>
          <div class="range-percents">
            <div class="subtitle">20%</div>
            <div class="subtitle">80%</div>
          </div>
        </div>
        <div class="range-wrap">
          <div class="range-title">
            <div class="blue">Мужская</div>
            <div class="blue">Женская</div>
          </div>
          <input
            v-model="selectedRangePercent"
            :max="100"
            :min="0"
            style="width: 100%"
            type="range">
          <div class="range-percents">
            <div class="subtitle">{{selectedRangePercent}}%</div>
            <div class="subtitle">{{maleRangePercent}}%</div>
          </div>
        </div>
        <Input input name="Количество подписчиков" placeholder="1 571 864"/>
        <Input input name="Охват" placeholder="2 500 000"/>
        <Input textarea name="Описание" subtitle="максимум 500 символов" placeholder="Напишите сюда что-нибудь интересное…"/>
        <div class="edit-ad-price-wrap">
          <div class="title">Цена</div>
          <div class="subtitle-wrap">
            <p class="subtitle">В ленте</p>
            <p class="subtitle">В Stories</p>
          </div>
          <div class="input-wrap">
            <label><input placeholder="20 000" type="text"></label>
            <label><input placeholder="20 000" type="text"></label>
          </div>
        </div>
        <Input :key="18567856734" select :select-options="['Мемы', 'Не мемы']" name="Тематика" checked="Мемы"/>
        <Input :key="12938590" select :select-options="['Россия', 'Украина']" name="Страна" checked="Россия"/>
        <Input :key="999127766466" switches :switches-list="['Паблик', 'Блоггер']" name="Тип аккаунта" checked="Блоггер"/>
        <div class="title-range">Превью объявления</div>
        <Button style="margin-bottom: 40px" upload text="Загрузить"/>
        <Button text="Разместить объявление" arrow/>
      </div>
      <div v-if="selectedFilter === 3">
        <div v-if="selectedTypeFilter === 1">
          <Input input name="Работодатель" placeholder="Green Corp"/>
          <div class="title-range">Логотип компании работадателя</div>
          <Button style="margin-bottom: 25px" upload small text="Загрузить"/>
          <Input input name="Название вакансии" placeholder="UI/UX Senior Designer"/>
          <Input :key="89273847" name="Сфера деятельности" select :select-options="['IT, интернет, телеком','Графика']" checked="IT, интернет, телеком"/>
          <Input :key="772388992" name="График работы" select :select-options="['Полный день','Не полный день']" checked="Полный день"/>
          <Input :key="9876124608343" name="Тип занятости" select :select-options="['Постоянная работа','Сдельный']" checked="Полный день"/>
          <Input input name="Место работы" placeholder="Офис"/>
          <Input :key="129827325978" style="margin-bottom: 1px" select :select-options="['Россия', 'Украина']" name="Регион" subtitle="Страна" checked="Россия"/>
          <Input :key="9991323399" style="margin-bottom: 1px" select :select-options="['Нижегородская', 'Украина']" subtitle="Область" checked="Нижегородская"/>
          <Input :key="4324345662" select :select-options="['Дзержинск', 'Украина']" subtitle="Город" checked="Дзержинск"/>
          <Input :key="321098978628" select :select-options="['более 1 года', '2 года']" name="Требуемый опыт работы" checked="более 1 года"/>
          <div class="wages">
            <span>от</span>
            <input placeholder="150 000" type="text">
            <span>до</span>
            <input placeholder="150 000" type="text">
            <img src="../assets/images/icons/rubles-month.svg" alt="">
          </div>
          <Input textarea name="Обязанности" subtitle="максимум 500 символов" placeholder="Продавать курсы и рекламу"/>
          <Input textarea name="Требования" subtitle="максимум 500 символов" placeholder="Иметь 12 языков на уровне носителя"/>
          <Input textarea name="Условия" subtitle="максимум 500 символов" placeholder="напишите сюда что-нибудь интересное…"/>
          <Input textarea name="Описание" subtitle="максимум 1500 символов" placeholder="напишите сюда что-нибудь интересное…"/>
          <Button text="Разместить объявление" arrow/>
        </div>
        <div v-else>
          <Input input name="Желаемая должность" placeholder="Охранник"/>
          <Input :key="4553" name="График работы" select :select-options="['Полный день','Не полный день']" checked="Полный день"/>
          <Input :key="325673245" name="Тип занятости" select :select-options="['Постоянная работа','Сдельный']" checked="Полный день"/>
          <Input :key="2432" style="margin-bottom: 1px" select :select-options="['Россия', 'Украина']" name="Регион" subtitle="Страна" checked="Россия"/>
          <Input :key="65342" style="margin-bottom: 1px" select :select-options="['Нижегородская', 'Украина']" subtitle="Область" checked="Нижегородская"/>
          <Input :key="34777777" select :select-options="['Дзержинск', 'Украина']" subtitle="Город" checked="Дзержинск"/>
          <Input input right-text="лет" name="Стаж работы" placeholder="15"/>
          <Input :key="12222222" select :select-options="['Высшее', 'Среднее']" name="Образование" checked="Высшее"/>
          <div class="wages">
            <span>от</span>
            <input placeholder="150 000" type="text">
            <span>до</span>
            <input placeholder="150 000" type="text">
            <img src="../assets/images/icons/rubles-month.svg" alt="">
          </div>
          <Input textarea name="Описание" subtitle="максимум 1500 символов" placeholder="напишите сюда что-нибудь интересное…"/>
          <div class="title-range">Превью объявления</div>
          <Button style="margin-bottom: 25px" upload small text="Загрузить"/>
          <Button text="Разместить объявление" arrow/>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Input from "./Input";
import Button from "./Button";
export default {
  name: "Place-ad",
  components: {Button, Input},
  data () {
    return {
      typeFilter: {
        active: 'Продать',
        el: [
          { name: 'Продать', id: 1, link: '' },
          { name: 'Купить', id: 2, link: '' },
        ]
      },
      selectedTypeFilter: 1,
      slideFilter: {
        active: 'Все',
        el: [
          { name: 'Все', link: '' },
          { name: 'VK', link: '' },
          { name: 'Telegram', link: '' },
          { name: 'Inst', link: '' },
          { name: 'FB', link: '' },
          { name: 'YouTube', link: '' },
          { name: 'Яндекс.Дзен', link: '' },
        ]
      },
      slideFilterType: {
        active: 'Вакансия',
        el: [
          { name: 'Вакансия', id: 1, link: '' },
          { name: 'Резюме', id: 2, link: '' }
        ]
      },
      filtersCategory: [
        {name: 'Аккаунты', id: 1, active: false},
        {name: 'Реклама', id: 2, active: false},
        {name: 'Работа', id: 3, active: false}
      ],
      selectedFilter: null,
      selectedRangePercent: 20,
    }
  },
  computed: {
    maleRangePercent () {
      return 100 - this.selectedRangePercent
    }
  },
  methods: {
    consoles () {
      console.log(1)
    }
  }
}
</script>

<style scoped lang="scss">
.place-ad {
  padding-bottom: 24px;
  position: relative;
  z-index: 300;
  background-color: #F1F2F4;
  min-height: 100vh;
  .container {
    .place-ad-head {
      display: flex;
      margin-bottom: 40px;
      p {
        width: 100%;
        text-align: center
      }
    }
    .title-range {
      font-weight: 700;
      font-size: 18px;
      line-height: 120%;
      color: #424242;
      margin-bottom: 14px;
    }
    .edit-ad-price-wrap {
      display: flex;
      flex-direction: column;
      margin-bottom: 24px;
      .title {
        font-weight: 700;
        font-size: 18px;
        line-height: 120%;
        text-align: left;
        margin-bottom: 12px;
      }
      .subtitle-wrap {
        display: flex;
        justify-content: space-between;
        .subtitle {
          margin-bottom: 8px;
        }
      }
      .input-wrap {
        display: flex;
        justify-content: center;
        label {
          position: relative;
          &:first-child {
            margin-right: 16px;
          }
          &:before {
            content: '';
            position: absolute;
            width: 12px;
            height: 16px;
            right: 10px;
            top: 12px;
            background: url("../assets/images/icons/rubles.svg") center;
            background-size: cover;
          }
          input {
            background: #FFFFFF;
            border: 2px solid #97C1F2;
            box-sizing: border-box;
            border-radius: 12px;
            padding: 10px 0 10px 12px;
            color: #838383;
            &::placeholder {
              color: #838383;
            }
          }
        }
      }
    }
  }
  .wages {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 24px;
    input {
      background: #FFFFFF;
      border: 2px solid #97C1F2;
      box-sizing: border-box;
      border-radius: 12px;
      padding: 10px 0 10px 12px;
      color: #838383;
      width: 100px;
      margin-right: 12px;
      &::placeholder {
        color: #838383;
      }
    }
    span {
      margin-right: 12px;
    }
  }
  .home-filter-slide {
    display: flex;
    overflow-y: scroll;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    padding-left: 24px;
    margin-bottom: 16px;
    &::-webkit-scrollbar {
      display: none;
    }
    .slide {
      margin: 0 8px;
      display: inline-block;
      color: #C4C4C4;
      transition: all 0.3s;
      &:first-child {
        margin-left: 0;
      }
      &.active {
        color: #2B7FE2;
      }
    }
  }
  .filter-category-wrap {
    display: flex;
    justify-content: space-between;
    margin-bottom: 24px;
    .filter-category {
      color: #C4C4C4;
      border-radius: 12px;
      padding: 10px 24px;
      border: 1px solid #C4C4C4;
      text-align: center;
      transition: all 0.3s ease;
      &.filter-category-active {
        background: #2B7FE2;
        color: white;
      }
    }
  }
  .range-wrap {
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
    .range-title, .range-percents {
      display: flex;
      justify-content: space-between;
    }
    .range-title {
      font-weight: 700;
      margin-bottom: 18px;
    }
    .range-input {
      position: relative;
      margin-bottom: 8px;
      &:before {
        content: '';
        position: absolute;
        width: 20%;
        left: 0;
        top: 0;
        height: 2px;
        background: #2B7FE2;
        border-radius: 2px;
      }
      :first-child {
        width: 100%;
        height: 2px;
        display: block;
        background: #C4C4C4;
        border-radius: 2px;
      }
      :last-child {
        width: 18px;
        height: 18px;
        border-radius: 50%;
        background: #FFFFFF;
        position: absolute;
        left: 20%;
        top: calc(50% - 9px);
        &:before {
          content: '';
          width: 8px;
          height: 8px;
          position: absolute;
          background: #2772CA;
          top: calc(50% - 4px);
          left: calc(50% - 4px);
          border-radius: 50%;
          z-index: 3;
        }
      }
    }
    input[type=range] {
      height: 2px;
      margin-bottom: 8px;
    }
  }
}
</style>

